﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 27, 2009
// Last modified: August 12, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;
using BSM.core;

namespace BSM.Tests.Mocks
{
    class PrintingJobMock : JobMock
    {
        double runTime;
        string printStatement;

        public PrintingJobMock(string printStatement, double runTimeInSeconds)
            : base(new Status())
        {
            this.runTime = runTimeInSeconds;
            this.printStatement = printStatement;
        }

        public override Status Run()
        {
            callsToRun++;
            DateTime stopTime = DateTime.Now.AddSeconds(runTime);
            stopTime.AddSeconds(runTime);
            while (DateTime.Now < stopTime)
            {
                Console.Write(printStatement);
            }

            return this.status;
        }
    }
}
