﻿using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;

namespace BSM.Tests
{
    [TestFixture]
    class PluginWrapperTest
    {
        PluginWrapper testSubject;

        [SetUp]
        public void SetUp()
        {
            testSubject = new PluginWrapper(new Mocks.PluginMock());
        }

        [Test]
        public void TestName()
        {
            Assert.AreEqual("mock", testSubject.Name);
        }

        [Test]
        public void TestIcon()
        {
            Assert.IsNotNull(testSubject.Icon);
        }

        [Test]
        public void TestCreateInstance()
        {
            Assert.IsInstanceOf<Mocks.JobMock>(testSubject.CreateInstance());
        }
    }
}
