﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 27, 2009
// Last modified: August 12, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;

namespace BSM.core
{
    /// <summary>
    /// Attribute used to declare a create instance method
    /// The method in the plugin that creates an instance of a job
    /// </summary>
    [AttributeUsage(AttributeTargets.Method, Inherited=true)]  
    public class CreateJobAttribute : System.Attribute
    {
        public CreateJobAttribute()
        {
        }
    }
}
