﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 27, 2009
// Last modified: August 12, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;

namespace BSM.core
{
    /// <summary>
    /// Should only be thrown from the UI thread
    /// </summary>
    public class UIException : BsmException
    {
        public UIException(string message)
            : this(message, null)
        {
        }

        public UIException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

    }
}
