﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 27, 2009
// Last modified: August 12, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Diagnostics;

namespace BSM
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            try
            {
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new MainFrame());
            }
            catch (Exception ex)
            {
                ErrorHandling(ex);
            }
        }

        [Conditional("DEBUG")]
        static void ErrorHandling(Exception ex)
        {
            MessageBox.Show(ex.Message);

        }



    }
}