﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: August 3, 2009
// Last modified: August 3, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;

namespace BSM
{
    /// <summary>
    /// Event arguments passed to event handlers handling
    /// the StatusChanged Event.
    /// The JobTitle property is for the job which statuses changed.
    /// </summary>
    public class StatusChangedEventArgs : EventArgs
    {
        private string jobTitle;
        public StatusChangedEventArgs(string jobTitle)
        {
            this.jobTitle = jobTitle;
        }

        public string JobTitle
        {
            get { return jobTitle; }
        }

    }
}
