﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 27, 2009
// Last modified: August 12, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;

namespace BSM
{
    class UniqueList<T> : List<T>
    {
        int maxNrOfItems;

        public UniqueList(int maxNrOfItems)
            : base(maxNrOfItems)
        {
            this.maxNrOfItems = maxNrOfItems;
        }

        public new bool Add(T item)
        {
            if (this.Contains(item))
                return true;

            if (this.Count >= maxNrOfItems)
                return false;

            base.Add(item);
            return true;
        }
    }
}
