﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using DataBinding.Validators;

namespace DataBindingTests.TestCases
{
    [TestFixture]
    class LargerThanZeroValidatorTest
    {

        [Test]
        public void TestLargerThanZeroValidatorInt()
        {
            LargerThanZeroValidator<int> testSubject = new LargerThanZeroValidator<int>();

            Assert.IsTrue(testSubject.IsValid(1));
            Assert.IsFalse(testSubject.IsValid(-1));
            Assert.IsFalse(testSubject.IsValid(0));
        }

        [Test]
        public void TestLargerThanZeroValidatorDouble()
        {
            LargerThanZeroValidator<double> testSubject = new LargerThanZeroValidator<double>();

            Assert.IsTrue(testSubject.IsValid(0.03));
            Assert.IsFalse(testSubject.IsValid(-0.01));
            Assert.IsFalse(testSubject.IsValid(0));
        }
    }
}
