﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;

namespace DataBinding
{
    public class DataChangedEventArgs<T> : EventArgs where T: IComparable
    {
        private T newValue;
        public DataChangedEventArgs(T newValue)
        {
            this.newValue = newValue;
        }

        public T NewValue
        {
            get { return newValue; }
        }

    }
}
