﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;

namespace DataBinding
{
    public interface IDataField<T> where T: IComparable
    {
        T Value
        {
            get;
            set;
        }

        bool IsValid();
        string ToString();
        bool IsMatch(IDataField<T> searchField);

        event DataFieldChangedEventHandler<T> Changed;
    }
}
