﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;

namespace DataBinding.Validators
{
    /// <summary>
    /// Validation fails if string is null or empty
    /// </summary>
    public class EmptyStringValidator : IValidator<string>
    {
        virtual public bool IsValid(string value)
        {
            if (value == null)
                return false;

            return (value == string.Empty);
        }
    }
}
