﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using NUnit.Framework;

namespace BSM.Tests
{
    //[TestFixture]
    class TimerTest
    {
        Thread timerThread;
        Timer timer;

        [Test]
        public void TestTimerThreadStatusInfinteRunInterval()
        {
            timer = new Timer(functionToRun, new object(), 0, Timeout.Infinite);

            Thread.Sleep(1);

            timer.Dispose();
            timer = null;
            Console.WriteLine("State after running: " + Thread.CurrentThread.ToString());
            Console.WriteLine();


        }

        private void functionToRun(object state)
        {
            timerThread = Thread.CurrentThread;
            Console.WriteLine("State while running: " + Thread.CurrentThread.ToString());
            Console.WriteLine();
        }


    }




}
