﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;
using DataBinding.Validators;

namespace DataBindingTests.Mocks
{
    class ValidatorMockValueIsNull<T> : IValidator<T> where T: IComparable<T>
    {
        public bool IsValid(T value)
        {
            if (value == null)
                return true;

            return false;
        }
    }
}
