﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;
using DataBinding.Validators;
using DataBinding;

namespace DataBindingTests.Mocks
{
    class ValidatorMockValueNotZero<T> : IValidator<T> where T: IComparable<T>
    {
        public bool IsValid(T value)
        {
            T zero;
            if (GenericParser.Parse<int, T>(0, out zero))
            {
                return !value.Equals(zero);
            }
            return false;
        }
    }
}
