﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;
using DataBinding;
using DataBinding.Validators;
using NUnit.Framework;

namespace DataBindingTests.TestCases
{
    [TestFixture]
    public class NoneEmptyStringValidatorTest
    {

        [Test]
        public void Test()
        {
            NoneEmptyStringValidator testSubject = new NoneEmptyStringValidator();
            Assert.AreEqual(true, testSubject.IsValid("message"));
            Assert.AreEqual(false, testSubject.IsValid(""));
            Assert.AreEqual(false, testSubject.IsValid(null));
        }
    }
}
