﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using DataBinding.Validators;

namespace DataBindingTests.TestCases
{
    [TestFixture]
    class NoneNegativeValidatorTest
    {

        [Test]
        public void TestNoneNegativeValidatorInt()
        {
            NoneNegativeValidator<int> testSubject = new NoneNegativeValidator<int>();

            Assert.IsTrue(testSubject.IsValid(1));
            Assert.IsFalse(testSubject.IsValid(-1));
            Assert.IsTrue(testSubject.IsValid(0));
        }

        [Test]
        public void TestNoneNegativeValidatorDouble()
        {
            NoneNegativeValidator<double> testSubject = new NoneNegativeValidator<double>();

            Assert.IsTrue(testSubject.IsValid(0.01));
            Assert.IsFalse(testSubject.IsValid(-0.01));
            Assert.IsTrue(testSubject.IsValid(0.00));
        }
    }
}
