﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using DataBinding.Matchers;

namespace DataBindingTests.TestCases
{
    [TestFixture]
    class StringMatcherTest
    {
        StringMatcher testSubject;

        [SetUp]
        public void SetUp()
        {
            testSubject = new StringMatcher();
        }
        [Test]
        public void TestIsMatch()
        {
            string value = "Some test";
            
            Assert.IsTrue(testSubject.IsMatch(value, value));
            Assert.IsTrue(testSubject.IsMatch(value, "Som"));
            Assert.IsTrue(testSubject.IsMatch(value, ""));
            Assert.IsFalse(testSubject.IsMatch(value, "some test"));
            Assert.IsFalse(testSubject.IsMatch(value, null));
            Assert.IsFalse(testSubject.IsMatch(value, "test"));

        }
    }
}
