﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;

namespace DataBinding.Matchers
{
    /// <summary>
    /// Is a match if search value can be found in the beginning of value
    /// </summary>
    public class StringMatcher : IMatcher<string>
    {       
        public bool IsMatch(string value, string searchValue)
        {
            return (value != null && searchValue != null) ?
                value.StartsWith(searchValue) :
                false;
        }
    }
}
