﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace DataBinding.FormControlValidators
{
    public class SimpleListViewSelectedValidator : SimpleFormControlValidatorBase
    {
        private ListView control;

        public SimpleListViewSelectedValidator(ListView control, string invalidMessage)
            :
            base(invalidMessage)
        {
            this.control = control;
        }

        override public bool Validate()
        {
            this.valid = (control.SelectedIndices.Count > 0);
            return this.valid;
        }


    }
}
