﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 11, 2009
// Last modified: July 23, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;
using DataBinding.Validators;

namespace DataBinding.Validators
{
    /// <summary>
    /// Validates email address.
    /// </summary>
    public class IsRegexValidator : IValidator<string>
    {
        virtual public bool IsValid(string value)
        {
            try
            {
                Regex regex = new Regex(value);
                return true;
            }
            catch
            {
                return false;
            }
        }
    }
}
