﻿//**********************************//
// Written by: Per Böhlin
// perbo770@student.liu.se
// Copyright: (c) 2009
//
// Implementation started: July 19, 2009
// Last modified: July 19, 2009
//**********************************//

using System;
using System.Collections.Generic;
using System.Text;
using DataBinding;

namespace DataBinding.Validators
{
    public class LargerThanZeroValidator<T> : IValidator<T> where T: IComparable
    {
        public bool IsValid(T value)
        {
            T zero;
            if (GenericParser.Parse<int, T>(0, out zero))
            {
                return (value.CompareTo(zero) > 0);
            }
            return false;
        }
    }
}
